Skip to main content
POST
/
stores
/
{storeId}
/
usage
Report usage events
curl --request POST \
  --url https://api.pandabase.io/v2/core/stores/{storeId}/usage/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subscription_id": "<string>",
  "events": [
    {
      "event_name": "<string>",
      "quantity": 4503599627370495,
      "event_at": "2023-11-07T05:31:56Z",
      "external_id": "<string>",
      "metadata": {}
    }
  ]
}
'
{
  "ok": true,
  "data": {
    "subscriptionId": "sub_8h4t6sqzy3x9w5n2k1m0vqbf",
    "accepted": 98,
    "duplicates": 2,
    "rejected": []
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.pandabase.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.

Headers

idempotency-key
string
Required string length: 8 - 32

Path Parameters

storeId
string
required
Required string length: 12 - 48

Body

application/json
subscription_id
string
required
Required string length: 12 - 48
events
object[]
required
Required array length: 1 - 100 elements

Response

Default Response

ok
enum<boolean>
required
Available options:
true
data
any
required